2018-10-22 12:38 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001632FSSCPsoundpublic2010-03-04 01:06
ReporterRansom Arceihn 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.12 RC2 
Summary0001632: ambient music doesn't return after fighters warp out
DescriptionIf hostile fighters warp in during a mission (rather than being there to begin with), and depart at some point, the battle music doesn't seem to stop. It just keeps going, even switching to further battle tracks as if a fight was still progressing.

This doesn't seem to affect capital ships.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008959

taylor (administrator)

I'm not sure that this is actually a bug. The battle music will end when the battle is over, but the "battle" doesn't actually start until an engagement has been made. So if the hostile ships are too far away, and no shots have been fired that hit, then it won't end the battle music.

I'm thinking that is actually done by design, to heighten the mood and not let the player relax so easily after the enemy ships are gone. Basically, kind of inducing a "What the hell is going on here?" state in the player.

~0008979

Goober5000 (administrator)

I have seen this behavior before and I'm inclined to classify it as a bug, but I haven't run into it frequently enough to know for sure. Are there any missions where you can plainly point to a difference between retail and original? What about missions where you can plainly demonstrate that the music doesn't make sense?

~0008980

Goober5000 (administrator)

It would be nice to get CP5670's opinion on this too, as I think he's run into similar issues.

~0008984

Ransom Arceihn (reporter)

I'd understand the battle music taking several moments before switching back to ambience, because that's what it usually does. It'd be weird for the ambience to resume the second the ships departed. But the way this is, once the ships depart the battle music just keeps going forever - ramping up, and so on - even if there's no other hostiles in the mission. That really doesn't make any sense to me. Shouldn't it at least cut out after it reaches the end of the current battle track? Mood-heightening is one thing, but the music getting more frantic when there's no hostiles in sight just feels goofy.

It's easy to work around it by using the change-soundtrack sexp, but I don't see any reason for it to work like this.

~0010959

portej05 (reporter)

This still an issue?

~0011740

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-13 07:26 Ransom Arceihn New Issue
2008-03-13 07:26 Ransom Arceihn File Added: departmusic.fs2
2008-03-13 14:30 taylor Note Added: 0008959
2008-03-15 19:46 Goober5000 Note Added: 0008979
2008-03-15 19:47 Goober5000 Note Added: 0008980
2008-03-16 13:37 Ransom Arceihn Note Added: 0008984
2009-06-07 11:31 portej05 Note Added: 0010959
2009-06-07 11:31 portej05 Status new => feedback
2010-02-13 01:11 taylor Status feedback => assigned
2010-02-13 01:11 taylor Assigned To => taylor
2010-03-04 01:06 taylor Note Added: 0011740
2010-03-04 01:06 taylor Status assigned => resolved
2010-03-04 01:06 taylor Fixed in Version => 3.6.12 RC2
2010-03-04 01:06 taylor Resolution open => fixed
+Issue History